/**
 * Copyright 2012 52North Initiative for Geospatial Open Source Software GmbH
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.n52.android.tracker;

import java.util.ArrayList;
import java.util.List;

import org.n52.android.tracker.datastructure.Phenomenon;

public class Configuration {

	// FTP connection to publish a sensorML document for the sensor bus
	public static final String FTP_SERVER = "server";
	public static final String FTP_USER = "user";
	public static final String FTP_PASSWORD = "password";
	
	// connection to the sensor bus
	public static final String SENSOR_BUS_SERVER = "sensorBusServer";
	public static final String SENSOR_BUS_LOGIN = "sensorpublisher";
	public static final String SENSOR_BUS_PASSWORD = "sensorpublisher";
	public static final String SENSOR_BUS_CHANNEL = "sensorbus";

	// supported phenomenons while tracking
//	private static Phenomenon speed = new Phenomenon("Speed", "Speed", "km/h", Constants.ValueTypes.numericType);
//	private static Phenomenon provider = new Phenomenon("Provider", "Provider", "", Constants.ValueTypes.textType);
//	private static Phenomenon accuracy = new Phenomenon("Accuracy", "Accuracy", "m", Constants.ValueTypes.numericType);
//	private static Phenomenon altitude = new Phenomenon("Altitude", "Altitude", "m", Constants.ValueTypes.numericType);
	private static List<Phenomenon> phenomenonList = new ArrayList<Phenomenon>();
	
	public static List<Phenomenon> getPhenomenonList() {
		if (phenomenonList.isEmpty()) {
//			phenomenonList.add(speed);
//			phenomenonList.add(provider);
//			phenomenonList.add(accuracy);
//			phenomenonList.add(altitude);
		}
		return phenomenonList;
	}
}
