/**
 * Copyright 2012 52North Initiative for Geospatial Open Source Software GmbH
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.n52.android.tracker.datastructure;

import java.util.Map;

public class Observation {
	
	private Sensor sensor;

	private long time;
	
	private Point point;
	
	private Map<String, Object> obsProps_value; 
	
	// for evaluation
	private long latencyTime;
	
	public Observation(Sensor sensor, long time, Point point, Map<String, Object> obsProps_value) {
		this.setSensor(sensor);
		this.setTime(time);
		this.setPoint(point);
		this.setObsProps_value(obsProps_value);
	}

	public void setTime(long time) {
		this.time = time;
	}

	public long getTime() {
		return time;
	}

	public void setPoint(Point point) {
		this.point = point;
	}

	public Point getPoint() {
		return point;
	}

	public void setSensor(Sensor sensor) {
		this.sensor = sensor;
	}

	public Sensor getSensor() {
		return sensor;
	}

	public void setObsProps_value(Map<String, Object> obsProps_value) {
		this.obsProps_value = obsProps_value;
	}

	public Map<String, Object> getObsProps_value() {
		return obsProps_value;
	}

	public void setLatencyTime(long latencyTime) {
		this.latencyTime = latencyTime;
	}

	public long getLatencyTime() {
		return latencyTime;
	}
}
