/**
 * Copyright 2012 52North Initiative for Geospatial Open Source Software GmbH
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.n52.android.tracker.datastructure;

import org.n52.android.tracker.Constants.ValueTypes;

public class Phenomenon {
	
	private String name;
	
	private String sensorUrl;
	
	private String definition;
	
	private String unit;
	
	private ValueTypes valueType;
	
	public Phenomenon(String name, String definition, String unit, ValueTypes valueType) {
		this.name = name;
		this.definition = definition;
		this.unit = unit;
		this.setValueType(valueType);
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getDefinition() {
		return definition;
	}

	public void setDefinition(String definition) {
		this.definition = definition;
	}

	public String getUnit() {
		return unit;
	}

	public void setUnit(String unit) {
		this.unit = unit;
	}

	public ValueTypes getValueType() {
		return valueType;
	}

	public void setValueType(ValueTypes valueType) {
		this.valueType = valueType;
	}

	public String getSensorUrl() {
		return sensorUrl;
	}

	public void setSensorUrl(String sensorUrl) {
		this.sensorUrl = sensorUrl;
	}
	
}
