/**
 * Copyright 2012 52North Initiative for Geospatial Open Source Software GmbH
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.n52.android.tracker.datastructure;

import java.util.List;

public class Sensor {

	private String procedureID;

	private String startPointName;

	private Point point;

	private String foiID;

	private List<Phenomenon> phenomenonList;

	private String offering;

	private String offeringDescription;

	private String serviceDescriptionURL;

	public Sensor(String procedureID,
			String startPointName,
			Point point,
			String foiID,
			List<Phenomenon> phenomenonList,
			String offering,
			String offeringDescription) {
		this.setProcedureID(procedureID);
		this.setStartPointName(startPointName);
		this.setPoint(point);
		this.setFoiID(foiID);
		this.setPhenomenonList(phenomenonList);
		this.setOffering(offering);
		if (offeringDescription.equals("") || offeringDescription == null) {
			this.setOfferingDescription(offering);
		} else {
			this.setOfferingDescription(offeringDescription);
		}
	}

	public String getProcedureID() {
		return procedureID;
	}

	public void setProcedureID(String procedureID) {
		this.procedureID = procedureID;
	}

	public String getStartPointName() {
		return startPointName;
	}

	public void setStartPointName(String startPointName) {
		this.startPointName = startPointName;
	}

	public List<Phenomenon> getPhenomenonList() {
		return phenomenonList;
	}

	public void setPhenomenonList(List<Phenomenon> phenomenonList) {
		this.phenomenonList = phenomenonList;
	}

	public String getOffering() {
		return offering;
	}

	public void setOffering(String offering) {
		this.offering = offering;
	}

	public String getOfferingDescription() {
		return offeringDescription;
	}

	public void setOfferingDescription(String offeringDescription) {
		this.offeringDescription = offeringDescription;
	}

	public void setPoint(Point point) {
		this.point = point;
	}

	public Point getPoint() {
		return point;
	}

	public void setFoiID(String foiID) {
		this.foiID = foiID;
	}

	public String getFoiID() {
		return foiID;
	}

	public void setServiceDescriptionURL(String serviceDescriptionURL) {
		this.serviceDescriptionURL = serviceDescriptionURL;
	}

	public String getServiceDescriptionURL() {
		return serviceDescriptionURL;
	}

}
